# From d515ac32f810fe6e6a986862771c85564193ee51 Mon Sep 17 00:00:00 2001
# From: Min Chen <chenm003@163.com>
# Date: Mon, 1 Jul 2013 17:45:07 +0800
# Subject: [PATCH 2/3] Disable #pragma in INTEL Compiler
Disable #pragma in INTEL Compiler

---
 source/common/threadpool.cpp |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/source/common/threadpool.cpp b/source/common/threadpool.cpp
index 1cc10ca..909337b 100644
--- a/source/common/threadpool.cpp
+++ b/source/common/threadpool.cpp
@@ -90,7 +90,9 @@ FORCEINLINE LONGLONG _InterlockedOr64(__inout LONGLONG volatile *Destination,
 }
 
 #define ATOMIC_OR(ptr, mask)            _InterlockedOr64((volatile LONG64*)ptr, mask)
+#if defined(__MSC_VER) && !defined(__INTEL_COMPILER)
 #pragma intrinsic(_InterlockedCompareExchange64)
+#endif
 #else // if _WIN32_WINNT <= _WIN32_WINNT_WINXP
 #define ATOMIC_OR(ptr, mask)            InterlockedOr64((volatile LONG64*)ptr, mask)
 #endif // if _WIN32_WINNT <= _WIN32_WINNT_WINXP
-- 
1.7.9.msysgit.0

